From 471c9f34d219c6aaad1942292e8a2ba821b97871 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Lawrence=20Vel=C3=A1zquez?= <larryv@macports.org>
Date: Thu, 22 Jan 2015 20:54:19 -0500
Subject: [PATCH 12/16] libvpx: Add build targets for OS X 10.10 Yosemite

Adapted from upstream:
https://chromium.googlesource.com/webm/libvpx/+/4fe4c28%5E%21/
---
 .../libvpx/P00-darwin-add-yosemite-targets.patch   | 54 ++++++++++++++++++++++
 1 file changed, 54 insertions(+)
 create mode 100644 contrib/libvpx/P00-darwin-add-yosemite-targets.patch

diff --git a/contrib/libvpx/P00-darwin-add-yosemite-targets.patch b/contrib/libvpx/P00-darwin-add-yosemite-targets.patch
new file mode 100644
index 0000000..884631e
--- /dev/null
+++ b/contrib/libvpx/P00-darwin-add-yosemite-targets.patch
@@ -0,0 +1,54 @@
+Index: libvpx-v1.3.0/build/make/configure.sh
+===================================================================
+--- libvpx-v1.3.0.orig/build/make/configure.sh
++++ libvpx-v1.3.0/build/make/configure.sh
+@@ -658,6 +658,10 @@ process_common_toolchain() {
+                 tgt_isa=x86_64
+                 tgt_os=darwin13
+                 ;;
++            *darwin14*)
++                tgt_isa=x86_64
++                tgt_os=darwin14
++                ;;
+             x86_64*mingw32*)
+                 tgt_os=win64
+                 ;;
+@@ -760,6 +764,10 @@ process_common_toolchain() {
+             add_cflags  "-mmacosx-version-min=10.9"
+             add_ldflags "-mmacosx-version-min=10.9"
+             ;;
++        *-darwin14-*)
++            add_cflags  "-mmacosx-version-min=10.10"
++            add_ldflags "-mmacosx-version-min=10.10"
++            ;;
+     esac
+ 
+     # Handle Solaris variants. Solaris 10 needs -lposix4
+Index: libvpx-v1.3.0/configure
+===================================================================
+--- libvpx-v1.3.0.orig/configure
++++ libvpx-v1.3.0/configure
+@@ -118,6 +118,7 @@ all_platforms="${all_platforms} x86-darw
+ all_platforms="${all_platforms} x86-darwin11-gcc"
+ all_platforms="${all_platforms} x86-darwin12-gcc"
+ all_platforms="${all_platforms} x86-darwin13-gcc"
++all_platforms="${all_platforms} x86-darwin14-gcc"
+ all_platforms="${all_platforms} x86-linux-gcc"
+ all_platforms="${all_platforms} x86-linux-icc"
+ all_platforms="${all_platforms} x86-os2-gcc"
+@@ -134,6 +135,7 @@ all_platforms="${all_platforms} x86_64-d
+ all_platforms="${all_platforms} x86_64-darwin11-gcc"
+ all_platforms="${all_platforms} x86_64-darwin12-gcc"
+ all_platforms="${all_platforms} x86_64-darwin13-gcc"
++all_platforms="${all_platforms} x86_64-darwin14-gcc"
+ all_platforms="${all_platforms} x86_64-linux-gcc"
+ all_platforms="${all_platforms} x86_64-linux-icc"
+ all_platforms="${all_platforms} x86_64-solaris-gcc"
+@@ -149,6 +151,7 @@ all_platforms="${all_platforms} universa
+ all_platforms="${all_platforms} universal-darwin11-gcc"
+ all_platforms="${all_platforms} universal-darwin12-gcc"
+ all_platforms="${all_platforms} universal-darwin13-gcc"
++all_platforms="${all_platforms} universal-darwin14-gcc"
+ all_platforms="${all_platforms} generic-gnu"
+ 
+ # all_targets is a list of all targets that can be configured
-- 
2.3.0

